Subject: RE: Apache.exe generates errors and is closed by Windows.

From: Ramakrishna Kuppa <[email-masked]>
Date: Mon, 30 Sep 2002 17:08:13 -0700

Chris,

I upgraded our system to use OpenSSL 0.9.6g from your latest build. However,
the error I was referring to occurred in the previous build that had version
0.9.6d of OpenSSL.

The error is a Dr.Watson error. The usual popup box comes with the above
message and until the user acknowledges, the system doesn't service any
requests. There aren't any useful messages that get logged either.

The complete message is as follows:
"Apache.exe generates errors and will be closed by Windows. You will need to
restart the program. An error log is being created."

> -----Original Message-----
> From: hunter [mailto:[email-masked]] 
> Sent: Monday, September 30, 2002 4:59 PM
> To: [email-masked]
> Subject: Re: Apache.exe generates errors and is closed by Windows.
> 
> 
> Ramakrishna Kuppa wrote:
> > I am getting the above error on my Windows platform. The 
> environment 
> > details are as follows:
> > 
> > OS: Windows 2000
> > Server: Apache 1.3.26 with OpenSSL 0.9.6d and mod_ssl 2.8.10
> > 
> > The OS pops up a box with the above message and until the user
> > acknowledges, the system doesn't respond to any user 
> requests. In a way, 
> > the system "hangs".
> > 
> > Any ideas on how this can be resolved? Alternatively, can 
> the server 
> > be
> > made to service user requests?
> > 
> > Thanks
> > Ramakrishna
> > 
> 
> Ramakrishna,
> 
> Could you please explain what is 'the above error'.
> 
> Guess: Are you referring to an abnormal end.. a dialog that says a 
> program is exiting unexpectedly?
> 
> Warning: You should not be using OpenSSL 0.9.6d - I thought you were 
> using one of the new builds I made?
> 
> Advice: This error might happen if you did not have all of 
> the parts or 
> it is misconfigured.  You may find a clue in the error.log.  Have you 
> ever had this working or are you failing on an initial install.
> 
> Chris.
> 
> ______________________________________________________________________
> Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
> User Support Mailing List                      [email-masked]
> Automated List Manager                            [email-masked]
>

---

From: hunter <[email-masked]>
Date: Mon, 30 Sep 2002 20:22:05 -0400

Ramakrishna Kuppa wrote:
> Chris,
> 
> I upgraded our system to use OpenSSL 0.9.6g from your latest build. 
> However, the error I was referring to occurred in the previous build 
> that had version 0.9.6d of OpenSSL.
> 
> "Apache.exe generates errors and will be closed by Windows. You will 
> need to restart the program. An error log is being created."
> 
> 
> 

Ramakrishna,

It would be helpful to see the apache error log ... usually called 
'error.log' in the ..\Apache\logs directory.

Also, the Dr Watson log can also be useful but less so when I do not 
have the same build - with the same build I can walk it into the failure 
with the debugger.  The Dr Watson log can be found in the %SystemRoot% 
.. mine is I:\WINDOWS (XP PRO) yours could be C:\WINNT - the file is 
called 'drwtsn32.log'

This could have been caused by a buffer overrun ... like in a failed 
exploit ... previous versions of OpenSSL were vulnerable.

I will look at the log if you send it.  Maybe there will be clues.

The new code is ok?

Chris.

---

From: hunter <[email-masked]>
Date: Mon, 30 Sep 2002 20:36:46 -0400

> need to restart the program. An error log is being created."

... from first note ... I understand now.
>  Alternatively, can the server be made to service user requests?

I think what you are asking here is... is there a way to continue after 
a Dr Watson message has happened and there is no user to press ok.

There may be, but I have never found it.  I write most of my service and 
console code with structured exception handlers that handle access 
violations, so that most of my applications do not behave this way.  I 
have had some frustration in this because tech's want to leave the 
dialog on the screen for others to see and applications cannot finish 
dying until the user clicks ok.  Sometimes a new instance will start but 
rarely.

Most of the time they are caused by an access violations.  Frequently 
caused by truncated/corrpted files.  One of my applications kept causing 
Explorer to crash when it was infiltrated with Nimda and was being run 
during user signon.

Chris.

---

From: "Martin Dickau" <[email-masked]>
Date: Mon, 30 Sep 2002 20:50:54 -0400

> There may be, but I have never found it.

Run drwtsn32.exe and uncheck Visual Notification (or change the setting in
the registry directly).

Martin

Martin Dickau, ByAllAccounts
[email-masked]

---

From: hunter <[email-masked]>
Date: Mon, 30 Sep 2002 21:22:36 -0400

> [email-masked]

Martin,

I have been inside Dr. Watson dozens of time and have never noticed the 
setting.  I will try it out.

I tried it quickly, but I still got a dialog popup on XP PRO - not a Dr. 
Watson message though.

Thanks
Chris.